select (defined(tags, 'NYDEC_Lands:LANDS_UID') or defined(tags, 'NYDEC_Lands:FACILITY')) as NYS,
       ST_Area(ST_Intersection(a.wkb_geometry, b.way))/ST_Area(a.wkb_geometry) as collision,
       a.name, b.osm_id, b.name from nyc_bws_rec_area a
join na_osm_polygon b on ST_Overlaps(a.wkb_geometry, b.way)
where (b.boundary is null or b.boundary <> 'administrative')
and (b.natural is null or b.natural not in ('water', 'wetland'))
and (b.landuse is null or b.landuse not in ('wetland', 'reservoir'))
and ST_Overlaps(ST_Buffer(a.wkb_geometry, -7.5), b.way)
order by nys, collision desc
