DROP TABLE nyc_bws_changed_rec_areas
\g

CREATE TABLE nyc_bws_changed_rec_areas
AS
SELECT n.*, o.osm_id AS "NYCDEP:prev_osm_id",
       ST_Area(ST_SymDifference(ST_MakeValid(n.wkb_geometry), o.way))
        /ST_Area(n.wkb_geometry) AS "NYCDEP:changed_fraction"
FROM nyc_bws_rec_area n
LEFT JOIN na_osm_polygon o
ON o.name = n.name
AND o.boundary='protected_area'
AND o.tags->'protect_class' = '12'
AND o.tags ? 'NYCDEP:last_modified'
WHERE n."NYCDEP:last_modified" > o.tags->'NYCDEP:last_modified'
OR o.osm_id IS NULL
ORDER BY area DESC
\g
